## Ways to control the evaluation mode of covStructs:
## Possible styles:
## 1. Keep entire evaluation history/graph (memory consuming)
## 2. Keep only precision matrix
## 3. Keep pairs (precision,Dprecision)
setMethod("initialize", "covStruct", function(.Object, ...) {
  .Object <- callNextMethod()
  fun <- .Object@fun
  .Object@fun <- function(...).lgc_evalmode$extract(fun(...))
  .Object
})
.lgc_evalmode <- local({
  ## Old behavior
  forceoldstyle <- FALSE
  extract <- function(x)x
  oldstyle <- function(oldstyle=TRUE){
    forceoldstyle <<- oldstyle
    if(oldstyle)extract <<- function(x)x
  }
  vars <- NULL
  deriv <- function(deriv=FALSE){
    if(forceoldstyle)return(NULL)
    if(deriv)vars <<- c("precision","Dprecision")
    else vars <<- c("precision")
    extract <<- function(e){
      ans <- local(environment(),sapply(vars,get,envir=e,simplify=FALSE))
      parent.env(ans) <- emptyenv() ## Avoid protecting e!
      ans
    }
  }
  environment()
})
.lgc_derivmode <- .lgc_evalmode$deriv
.lgc_oldstyle <- .lgc_evalmode$oldstyle
