## Demonstration of factors with distance/increment attributes.
## 1. Build (x1,x2,t) separable correlation structure moving with constant velocity.
## 2. Plot simulation.
## 3. TODO: Estimate parameters...
require(lgc)
set.seed(123)

## Dataset
x1 <- sample(10,100,replace=TRUE)
x2 <- factor(sample(15,100,replace=TRUE))
t <- sample(20,100,replace=TRUE)
d <- data.frame(x1,x2,t)
d <- transform(d,x1t=distFactor(x1,t))
d$x1t

## Correlation structure
form <- ~{
  parms <- c(b=.5,v=.5,c=.1)
  C <- COV(x1t,~exp(-b* sqrt( (dx1 - v*dt)^2) -c* sqrt( dt^2) )   +1e-8*I, parameters=parms)
  AR1(x2)*C
}

## Simulate
C <- covStructFormula(form,data=d)
C@parameters[1] <- .99
C@parameters[2] <- 3
C@parameters["c"] <- 0
C@parameters["v"] <- 1
fv <- simulate(C)

## Plot
for(i in 1:20){image(fv[[2]][i,,],zlim=range(fv[[2]]))}
