\name{fitlgc}
\alias{fitlgc}
\title{Fit Log Gaussian (Cox) model using formula interface.
Can handle both count observations and/or direct oberservations of the Log Gaussian
process.
The latent field is integrated out using the Laplace approximation.
Fixed effects are estimated using a REML criterion.}
\usage{
  fitlgc(ranef, fixef, data, delta = 1e-04,
    parscale = rep(0.01, length(C@parameters)),
    control = .lgc_control(), update.args = NULL,
    nugef = NULL, etafix = NULL, permfun = NULL,
    scale = NULL, denseFixef = TRUE, betafix = NULL,
    nonlin = NULL, parameters = NULL, ignore.proj = FALSE,
    optimize = TRUE, ...)
}
\arguments{
  \item{ranef}{Passed to \code{covStructFormula}.}

  \item{fixef}{Passed to \code{covStructFormula}.}

  \item{data}{Passed to \code{covStructFormula}.}

  \item{delta}{Passed to \code{covStructFormula}.}

  \item{parscale}{Passed to \code{optim}.}

  \item{control}{Object returned by \code{.lgc_control()}.}

  \item{update.args}{Passed to \code{update} method of
  covStructs.}

  \item{nugef}{Nugget effect formula.}

  \item{etafix}{Formula giving a variable in the dataset
  with values in the random field to fix. Used to specify
  direct Log-Gaussian observations.  NAs are ignored so
  that only parts of the field have to be observed.}

  \item{permfun}{}

  \item{scale}{}

  \item{betafix}{Named vector of fixed effects to hold
  fixed.}
}
\value{
  Fitted object of class \code{fitlgc}.
}
\description{
  The formula interface helps building the often very large
  Gaussian Markov Random Fields. These are represented by
  sparse matrices.
}

