\name{.lgc_control}
\alias{.lgc_control}
\title{Control parameters for fitlgc.}
\usage{
  .lgc_control(...)
}
\arguments{
  \item{...}{Control arguments - see details.}
}
\value{
  Object of class \code{lgc_control}
}
\description{
  Adjust global lgc options in
  \code{options("lgc_control")}.
}
\details{
  Currently defined options: \itemize{ \item trace Print
  tracing information during model fitting, in particular
  (1) summary of symbolic analysis (2) progression of the
  inner newton iterations. \item tol Maximum gradient
  convergence criterion for inner newton iterations. \item
  mgcmax Drop out of inner newton optimizer and return NaN
  if inner gradient is too steep (because this indicates
  that the outer parameter is crazy). \item maxit Maximum
  number of iterations for inner newton optimizer. \item
  report Calculate gradient of \eqn{\eta} wrt.
  \eqn{\theta}? \item nrelax Supernode tolerance - see
  CHOLMOD manual. \item zrelax Supernode tolerance - see
  CHOLMOD manual. \item countflops Empirical flopcount of
  inverse subset algorithm? \item experimental Control
  experimental features - see source code. \item
  externallib Use external version of CHOLMOD to do the
  symbolic analysis. Reason: The \code{Matrix} package does
  not have the METIS orderings. For large 3D fields this
  option can often reduce the flopcount with a factor of
  10. \item penalty Control the precision of soft
  constraint used to fix random effects. }
}

