\name{rstandard.fitlgc}
\alias{rstandard.fitlgc}
\title{Simulation based residuals for goodness of fit.}
\usage{
  rstandard.fitlgc(model, fixbeta = TRUE, seed = 123)
}
\arguments{
  \item{model}{A fitted model object.}

  \item{fixbeta}{Logical. Should the fixed effects be
  deterministic in the sample?}

  \item{seed}{Simulation seed.}
}
\value{
  A list with a vector of standardized residuals for each
  model term.
}
\description{
  Generate an approximate posterior sample standardized
  with the prior.
}
\details{
  A goodness of fit test for the log Gaussian Cox model can
  be performed using the following simple principle: Draw
  \emph{one} sample \eqn{\eta^*} from the posterior
  distribution \eqn{\eta|x}. Standardize with the prior
  \eqn{u=\Sigma^{-1/2}\eta^*}. If the prior is correctly
  specified then \eqn{u} is a vector of independent
  standard normal variates - which can be further
  investigated by a Kolmogorov-Smirnov test or a Chi-square
  test. The simulation seed is deliberately fixed to stress
  the assumption of \emph{one sample}.
}

