\name{sepGMRFpredict}
\alias{sepGMRFpredict}
\title{Prediction for GMRF with separable covariance structure on d-dim lattice.}
\usage{
  sepGMRFpredict(Qlist, a, simulate = FALSE,
    trace = !simulate)
}
\arguments{
  \item{Qlist}{List of precision matrices acting in each of
  the \code{length(dim(a))} dimensions.}

  \item{a}{Array repesenting the lattice with NAs where no
  observation is available.}

  \item{simulate}{Return a conditional sample instead of
  just predicting?}

  \item{trace}{Trace the applied lattice expansions.}
}
\value{
  Updated array \code{a} with NAs replaced by predictions
  (or conditional simulations).
}
\description{
  Calculates conditional expectations for GMRF with
  separable covariance structure on d-dim lattice. Is
  highly efficient utilizing both sparseness and
  separability.
}

