\name{simulate.fitlgc}
\alias{simulate.fitlgc}
\title{LGC simulation.}
\usage{
  simulate.fitlgc(object, nsim = 1, seed = NULL,
    type = c("data", "prior", "posterior"), term = NULL,
    fixbeta = (type != "posterior"),
    as.list = (type != "data") & (nsim == 1) & (is.null(term)),
    ...)
}
\arguments{
  \item{object}{Object of class 'fitlgc'}

  \item{nsim}{Number of simulations.}

  \item{seed}{Simulation seed.}

  \item{type}{What to simulate: 'data', 'prior' or
  'posterior'}

  \item{term}{What model term to simulate ('prior'
  simulation only)}

  \item{betafix}{Should REML estimates be fixed at their
  estimated values?}

  \item{as.list}{Return simulation in convenient
  list-format?}

  \item{...}{}
}
\value{
  The simulation
}
\description{
  Draw simulations from a fitted object of class 'fitlgc'.
}
\details{
  This function can simulate at any level of the model. If
  \code{type}=='data' then count data will be simulated
  with parameters as in the fitted object. If
  \code{type}=='prior' then the prior random field will be
  simulated, including any term of the model formula along
  with the random effects directly associated with a
  data-entry. By default, the simulation will be
  convieniently split in a list with these components
  (\code{as.list}==TRUE). Finally, if
  \code{type}=='posterior' then a posterior sample (i.e.
  the random field given the data) will be returned. By
  default, the fixed effects of the model are deterministic
  (without variation) in the case of \code{type}=='data'
  and \code{type}=='prior', and non-deterministic in the
  case of 'posterior' sampling.
}

